// AI.cpp
#include "AI.h"

/*
 *====================================================================
 *					PerformAI()
 *
 * desc: Moves the artifically controlled paddle accordingly to the
 *       ball's movement along the Y axis and how close the ball is
 *       to the paddle
 *====================================================================
 */
void AI::PerformAI()
{
	// If the ball is lower on the y axis than the paddle
	if (g_Ball.m_Position.vector_2d[1] > g_Player2.m_Position.vector_2d[1] && g_Ball.m_Position.vector_2d[0] >= 320)
		g_Player2.m_Position.vector_2d[1] += 5;

	// If the ball is higher on the y axis than the paddle
	if (g_Ball.m_Position.vector_2d[1] < g_Player2.m_Position.vector_2d[1] && g_Ball.m_Position.vector_2d[0] >= 320)
		g_Player2.m_Position.vector_2d[1] -= 5;
}