// CPaddle.h
#ifndef CPADDLE_H
#define CPADDLE_H

#include <sdl.h>
#include "CVector.h"

class CPaddle
{
public:
	CPaddle(){m_Human = true; m_Clipped[0] = false; m_Clipped[1] = false;}	// Constructor
	CPaddle(scalar xPos, scalar yPos);	// Overloaded constructor to set the position of the paddle

	void InitPaddle();	// Initialize the paddle
	void DrawPaddle(SDL_Surface* paddle, SDL_Surface* gameScreen);	// Draw the paddle onto the screen

	SDL_Surface * m_PaddleSurface;	// Stores the paddle's image

	CVector m_Position;	// The paddle's (x,y) coordinates on the game board

	bool m_Human;	// Is the paddle controlled by a human or AI?
	bool m_Clipped[2];	// Keeps the paddle from going off the screen
};

#endif  CPADDLE_H