// Common.cpp

#include "Common.h"

/////////////// DEFINES ////////////////
#define PADDLE_1_XPOS		20
#define PADDLE_1_YPOS		150
#define PADDLE_2_XPOS		600
#define PADDLE_2_YPOS		150
#define BALL_X_POS			100
#define BALL_Y_POS			80
#define BALL_X_VEL			-2
#define BALL_Y_VEL			3

/////////////// GLOBALS ////////////////
CPaddle g_Player1(PADDLE_1_XPOS, PADDLE_1_YPOS);
CPaddle g_Player2(PADDLE_2_XPOS, PADDLE_2_YPOS);
CBall   g_Ball(BALL_X_POS, BALL_Y_POS,
						   static_cast<int>(BALL_X_VEL),
						   static_cast<int>(BALL_Y_VEL));
CGame   g_Game;
CPhysics g_Physics;	// Physics tests

/////////////// PHYSICS ////////////////
int g_PaddleWidth = 20;				// Paddle's width
int g_PaddleHeight = 100;			// Paddle's height
scalar g_PaddleXPos[2];				// Array of paddle x positions
scalar g_PaddleYPos[2];				// Array of paddle y positions
